/*
 * ui_basic.h - main user interface public definitions
 *
 * Copyright (C) 1995-1998 David Firth
 * Copyright (C) 1998-2005 Atari800 development team (see DOC/CREDITS)
 *
 * This file is part of the Atari800 emulator project which emulates
 * the Atari 400, 800, 800XL, 130XE, and 5200 8-bit computers.
 *
 * Atari800 is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Atari800 is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Atari800; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef _UI_BASIC_H_
#define _UI_BASIC_H_

extern void Print(int fg, int bg, const char *string, int x, int y, int maxwidth);
extern void BasicUIInit(void);
extern void ClearScreen(void);
extern void TitleScreen(const char *title);
extern void Box(int fg, int bg, int x1, int y1, int x2, int y2);
extern void CenterPrint(int fg, int bg, const char *string, int y);
extern int GetKeyPress(void);

#endif /* _UI_BASIC_H_ */
